#pragma once

#include "includes.h"
#include "OblastObrazku.h"
#include "Obrazek.h"

class OknoHlavni : public Gtk::Window
{
private:
	Glib::RefPtr<Gdk::Pixbuf> _pixbuf;

public:
  OknoHlavni();

private:
	Obrazek _obrazek;
	Glib::ustring _nacteny_soubor;
private:
	Gtk::Box _box;
	OblastObrazku _oblast_obrazku;
	Gtk::Menu* _submenu_soubor;
	Gtk::MenuItem* _item_soubor;
	Gtk::MenuItem* _mi_konec;
	Gtk::MenuItem* _mi_soubor_otevrit;
	Gtk::MenuItem* _mi_soubor_ulozit;
	Gtk::MenuItem* _mi_soubor_ulozit_jako;
	Gtk::MenuItem* _mi_zapsat_text;
	Gtk::Menu* _submenu_upravy;
	Gtk::MenuItem* _item_upravy;
	Gtk::MenuItem* _mi_rotace_45;
	Gtk::ScrolledWindow _scrolled_popis;
	Gtk::TextView _tv_popis;
private:
	void on_konec() noexcept;
	void on_rotace_45() noexcept;
	void on_soubor_otevrit() noexcept;
	void on_soubor_ulozit() noexcept;
	void on_soubor_ulozit_jako() noexcept;
	void on_zapsat_text() noexcept;
private:
	void nacist_soubor(const char* soubor) noexcept;
	void zprava_chyba(const char* text) noexcept;
};
